\name{buf}
\alias{buf}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{Buffon Niddle Experiment}
\description{
  Simulates the Buffon niddle experiment to compute the value of
  \eqn{\pi}{pi}.  
}
\usage{
buf(n)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{n}{number of times the niddle is thrown.}
}
\details{
  Function described in \bold{Chapter 2, Section 2.3} of the course
  notes.
  Shows how computer simulations can be used to reproduce experiments.
}
\value{
  No values returned.\cr
  A plot showing the sequential estimate of \eqn{\pi}{pi} as the samples
  were drawn is sent to the graphics device. 
}

\references{
  Coles, S, Roberts, G. and Jarner, S. (2001) \it{Computer Intensive Methods}.
  Course notes. \bold{Dept Maths & Stats, Lancaster University}.

  Course home page:\cr
  \url{http://www.maths.lancs.ac.uk/~jarner/cim.html}.
}
\author{Stuart Coles}

%\note{ ~~further notes~~ }

% ~Make other sections like WARNING with \section{WARNING }{....} ~

%\seealso{ }

\examples{
buf(100)
buf(5000)
}
\keyword{distribution}%-- one or more ...
